webm files being served as text/plain from SUMO cdn

RESOLVED FIXED

Status

--
critical
RESOLVED FIXED
7 years ago
5 years ago

People

(Reporter: rrosario, Assigned: oremj)

Tracking

Details

(Reporter)

Description

7 years ago
For example, I see:

Content-Type:text/plain; charset=UTF-8

for"

http://sumo-cdn.mozilla.net/media/uploads/gallery/videos/2011-12-02-07-18-33-585a28.webm
(Assignee)

Comment 1

7 years ago
This happens without the CDN too.

$ curl -v http://support.mozilla.com/media/uploads/gallery/videos/2011-12-02-07-18-33-585a28.webm > /dev/null
* About to connect() to support.mozilla.com port 80 (#0)
*   Trying 63.245.217.50...   % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0connected
* Connected to support.mozilla.com (63.245.217.50) port 80 (#0)
> GET /media/uploads/gallery/videos/2011-12-02-07-18-33-585a28.webm HTTP/1.1
> User-Agent: curl/7.21.4 (universal-apple-darwin11.0) libcurl/7.21.4 OpenSSL/0.9.8r zlib/1.2.5
> Host: support.mozilla.com
> Accept: */*
> 
< HTTP/1.1 200 OK
< Server: Apache
< X-Backend-Server: support2
< Vary: Accept-Encoding
< Cache-Control: max-age=604800
< Content-Type: text/plain; charset=UTF-8
< Date: Fri, 02 Dec 2011 22:03:15 GMT
< Expires: Fri, 09 Dec 2011 22:03:15 GMT
< Accept-Ranges: bytes
< ETag: "4b31d7b71c89a"
< Last-Modified: Fri, 02 Dec 2011 15:18:33 GMT
< Content-Length: 130047
< Connection: Keep-Alive
< X-Cache-Info: cached
Assignee: server-ops → oremj
(Assignee)

Comment 2

7 years ago
Fixed.

$ curl -v 'http://sumo-cdn.mozilla.net/media/uploads/gallery/videos/2011-12-02-07-18-33-585a28.webm?fuuu' > /dev/null 
* About to connect() to sumo-cdn.mozilla.net port 80 (#0)
*   Trying 174.35.40.35...   % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0connected
* Connected to sumo-cdn.mozilla.net (174.35.40.35) port 80 (#0)
> GET /media/uploads/gallery/videos/2011-12-02-07-18-33-585a28.webm?fuuu HTTP/1.1
> User-Agent: curl/7.21.4 (universal-apple-darwin11.0) libcurl/7.21.4 OpenSSL/0.9.8r zlib/1.2.5
> Host: sumo-cdn.mozilla.net
> Accept: */*
> 
< HTTP/1.1 200 OK
< Date: Fri, 02 Dec 2011 22:19:18 GMT
< Server: PWS/1.7.3.7
< X-Px: ms h0-s1007.p10-sjc ( h0-s1037.p10-sjc), ms h0-s1037.p10-sjc ( origin>CONN)
< ETag: "4b31d7b71c89a"
< Cache-Control: max-age=604800
< Expires: Fri, 09 Dec 2011 22:19:18 GMT
< Age: 0
< Accept-Ranges: bytes
< Content-Length: 130047
< Content-Type: video/webm
< Last-Modified: Fri, 02 Dec 2011 15:18:33 GMT
< Connection: keep-alive
Status: NEW → RESOLVED
Last Resolved: 7 years ago
Resolution: --- → FIXED
Component: Server Operations: Web Operations → WebOps: Other
Product: mozilla.org → Infrastructure & Operations
You need to log in before you can comment on or make changes to this bug.